require 'spec_helper'

RSpec.describe ChainedValidation::Rules::BeginsWith do
  let(:valid_params) {{ object: 'foo bar', input: 'foo' }}
  let(:invalid_params) {{ object: 'foo bar', input: 'tar' }}

  context 'when validation is valid' do
    subject { described_class.new(valid_params) }

    it 'set attributes' do
      expect(subject.perform).to have_attributes(result: { begins_with: { object: valid_params[:object], 
                                                                          input: valid_params[:input],
                                                                          result: true }})
    end
  end

  context 'when validation is not valid' do
    subject { described_class.new(invalid_params) }

    it 'set attributes' do
      expect(subject.perform).to have_attributes(result: { begins_with: { object: invalid_params[:object],
                                                                          input: invalid_params[:input],
                                                                          result: false }})
    end
  end
end
