require 'spec_helper'

RSpec.describe ChainedValidation::Rules::Contains do
  let(:valid_params) {{ object: 'foo bar', input: 'foo' }}
  let(:invalid_params) {{ object: 'foo bar', input: 'tar' }}

  context 'When validation is valid' do
    subject { described_class.new(valid_params) }

    it 'set attributes' do
      expect(subject.perform).to have_attributes(result: { contains: { object: valid_params[:object],
                                                                       input: valid_params[:input],
                                                                       result: true }})
    end
  end

  context 'When validation is not valid' do
    subject { described_class.new(invalid_params) }

    it 'set attributes' do
      expect(subject.perform).to have_attributes(result: { contains: { object: invalid_params[:object],
                                                                       input: invalid_params[:input],
                                                                       result: false }})
    end
  end
end
