require 'spec_helper'

RSpec.describe ChainedValidation::Rules::Domain do
  let(:valid_params) {{ object: 'https://www.google.com' }}
  let(:invalid_params) {{ object: 'www.google.com' }}

  context 'when validation is valid' do
    subject { described_class.new(valid_params) }

    it 'set attributes' do
      expect(subject.perform).to have_attributes(result: { domain: { object: valid_params[:object],
                                                                     result: true }} )
    end
  end

  context 'when validation is not valid' do
    subject { described_class.new(invalid_params) }

    it 'set attributes' do
      expect(subject.perform).to have_attributes(result: { domain: { object: invalid_params[:object],
                                                                     result: false }})
    end
  end
end
