require 'spec_helper'

RSpec.describe ChainedValidation::Rules::EqualsWith do
  let(:valid_params) {{ object: 'foo', input: 'foo' }}
  let(:invalid_params) {{ object: 'foo', input: 'bar' }}

  context 'when validation is valid' do
    subject { described_class.new(valid_params) }
    it 'set attributes' do
      expect(subject.perform).to have_attributes(result: { equals_with: { object: valid_params[:object],
                                                                          input: valid_params[:input],
                                                                          result: true }})
    end
  end

  context 'when validation is not valid' do
    subject { described_class.new(invalid_params) }
    it 'set attributes' do
      expect(subject.perform).to have_attributes(result: { equals_with: { object: invalid_params[:object],
                                                                          input: invalid_params[:input],
                                                                          result: false }})
    end
  end
end