require 'spec_helper'

RSpec.describe ChainedValidation::Rules::IsDate do
  let(:valid_params) {{ object: '10/10/2010' }}
  let(:invalid_params) {{ object: 'foo' }}

  context 'when validation is valid' do
    subject { described_class.new(valid_params) }
    it 'set attributes' do
      expect(subject.perform).to have_attributes(result: { is_date: { object: valid_params[:object], result: true }})
    end
  end

  context 'when validation is not valid' do
    subject { described_class.new(invalid_params) }
    it 'set attributes' do
      expect(subject.perform).to have_attributes(result: { is_date: { object: invalid_params[:object], result: false }})
    end
  end
end