require 'spec_helper'

RSpec.describe ChainedValidation::Rules::IsDowncase do
  let(:valid_params) {{ object: 'foo' }}
  let(:invalid_params) {{ object: 'Foo' }}

  describe 'when validation is valid' do
    subject { described_class.new(valid_params) } 

    it 'set attributes' do
      expect(subject.perform).to have_attributes(result: { is_downcase: { object: valid_params[:object],
                                                                          result: true }})
    end
  end

  describe 'when validation is not valid' do
    subject { described_class.new(invalid_params)}

    it 'set attributes' do
      expect(subject.perform).to have_attributes(result: { is_downcase: { object: invalid_params[:object],
                                                                          result: false }})
    end
  end
end