require 'spec_helper'

RSpec.describe ChainedValidation::Rules::IsEmail do
  let(:valid_params) {{ object: 'foo@gmail.com' }}
  let(:invalid_params) {{ object: 'foo' }}

  context 'when have validation is valid' do
    subject { described_class.new(valid_params)}

    it 'set params' do
      expect(subject.perform).to have_attributes(result: { is_email: { object: valid_params[:object], result: true }})
    end
  end

  context 'when validation is not valid' do
    subject { described_class.new(invalid_params) }

    it 'set params' do
      expect(subject.perform).to have_attributes(result: { is_email: { object: invalid_params[:object], result: false }})
    end
  end
end