require 'spec_helper'

RSpec.describe ChainedValidation::Rules::IsInteger do
  let(:valid_params) {{ object: 1 }}
  let(:invalid_params) {{ object: 'foo' }}

  context 'when have a validation valid' do
    subject { described_class.new(valid_params) }

    it 'set attributes' do
      expect(subject.perform).to have_attributes(result: { is_integer: { object: valid_params[:object],
                                                                         result: true }})
    end
  end

  context 'when have a validation invalid' do
    subject { described_class.new(invalid_params) }
    it 'set attributes' do
      expect(subject.perform).to have_attributes(result: {is_integer: { object: invalid_params[:object],
                                                                        result: false }})
    end
  end
end