require 'spec_helper'

RSpec.describe ChainedValidation::Rules::IsJson do
  let(:valid_params) {{ object: '{"name": "resize"}' }}
  let(:invalid_params) {{ object: 'foo' }}

  context 'when is a valid object' do
    subject { described_class.new(valid_params) }

    it 'set attributes' do
      expect(subject.perform).to have_attributes(result: { is_json: { object: valid_params[:object],
                                                                      result: true }})
    end
  end

  context 'when is a not valid object' do
    subject { described_class.new(invalid_params) }

    it 'set attributes' do
      expect(subject.perform).to have_attributes(result: {is_json: { object: invalid_params[:object],
                                                                     result: false }})
    end
  end
end