require 'spec_helper'

RSpec.describe ChainedValidation::Rules::IsString do
  let(:valid_params) {{ object: 'foo' }}
  let(:invalid_params) {{ object: true }}

  context 'when have a valid object' do
    subject { described_class.new(valid_params) }

    it 'set attributes' do
      expect(subject.perform).to have_attributes(result: { is_string: { object: valid_params[:object],
                                                           result: true }})
    end
  end

  context 'when dont have a valid object' do
    subject { described_class.new(invalid_params) }

    it 'set attributes' do
      expect(subject.perform).to have_attributes(result: { is_string: { object: invalid_params[:object],
                                                           result: false }})
    end
  end
end
