require 'spec_helper'

RSpec.describe ChainedValidation::Rules::MultipleOf do
  let(:valid_params) {{ object: 5, input: 10 }}
  let(:invalid_params) {{ object: 10, input: 5 }}

  describe 'when have a valid object' do
    subject { described_class.new(valid_params) }

    it 'set attributes' do
      expect(subject.perform).to have_attributes(result: { multiple_of: { object: valid_params[:object],
                                                                          input: valid_params[:input],
                                                                          result: true }})
    end
  end

  describe 'when dont have a valid object' do
    subject { described_class.new(invalid_params) }

    it 'set attributes' do
      expect(subject.perform).to have_attributes(result: { multiple_of: { object: invalid_params[:object],
                                                                          input: invalid_params[:input],
                                                                          result: false }})
    end
  end
end
