require 'spec_helper'

RSpec.describe ChainedValidation::Rules::Negative do
  let(:valid_params) {{ object: -10 }}
  let(:invalid_params) {{ object: 10 }}

  context 'when have a valid object' do
    subject { described_class.new(valid_params) }

    it 'set attributes' do
      expect(subject.perform).to have_attributes(result: { negative: { object: valid_params[:object],
                                                                       result: true }})
    end
  end

  context 'when have a invalid object' do
    subject { described_class.new(invalid_params) }

    it 'set attributes' do
      expect(subject.perform).to have_attributes(result: { negative: { object: invalid_params[:object],
                                                                       result: false }})
    end
  end
end
