require 'spec_helper'

RSpec.describe ChainedValidation::Rules::Roman do
  let(:valid_params) {{ object: 'VI' }}
  let(:invalid_params) {{ object: 'foo' }}

  context 'when have a valid object' do
    subject { described_class.new(valid_params) }

    it 'set attributes' do
      expect(subject.perform).to have_attributes(result: { roman: { object: valid_params[:object],
                                                                    result: true }})
    end
  end

  context 'when dont have a valid object' do
    subject { described_class.new(invalid_params) }

    it 'set attributes' do
      expect(subject.perform).to have_attributes(result: { roman: { object: invalid_params[:object],
                                                                    result: false }})
    end
  end
end
