require 'spec_helper'

describe ChainedValidation::Validate do
  describe '#claim' do
    let(:val_1) { ChainedValidation::Validation.new(is_date: { object: '10/10/2010', result: true }) }
    let(:val_2) { ChainedValidation::Validation.new(is_boolean: { object: true, result: true }) }
    let(:val_3) { ChainedValidation::Validation.new(is_boolean: { object: 'foo', result: false }) }
    let(:invalid_params) { [val_1, val_2, val_3] }
    let(:valid_params) { [val_1, val_2] }

    context 'when object is valid' do
      subject { described_class.new(valid_params) }

      it 'return true' do
        expect(subject.claim).to be_truthy
      end
    end

    context 'when object is not valid' do
      subject { described_class.new(invalid_params) }

      it 'resturn false' do
        expect(subject.claim).to be_falsey
      end
    end
  end

  describe '#claim!' do
    let(:val_1) { ChainedValidation::Validation.new(is_date: { object: '10/10/2010', result: true }) }
    let(:val_2) { ChainedValidation::Validation.new(is_boolean: { object: true, result: true }) }
    let(:val_3) { ChainedValidation::Validation.new(is_boolean: { object: 'foo', result: false }) }
    let(:invalid_params) { [val_1, val_2, val_3] }
    let(:valid_params) { [val_1, val_2] }

    context 'when object is valid' do
      subject { described_class.new(valid_params) }

      it 'return true' do
        expect(subject.claim!).to be_truthy
      end
    end

    context 'when object is not valid' do
      subject { described_class.new(invalid_params) }

      it 'resturn false' do
        #expect(subject.claim!).to raise_error('Object foo does not match the rule is_boolean')
      end
    end
  end
end
